Gecode::ValCommit< _View, _Val > Class Template Reference

Base class for value commit. More...

`#include <val-commit.hpp>`

## Public Types

typedef _View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef _Val | Val
| Value type.

## Public Member Functions

| ValCommit (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
| ValCommit (Space &home, ValCommit< View, Val > &vs)
| Constructor for cloning.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value commit.

## Detailed Description

template<class _View, class _Val>
class Gecode::ValCommit< _View, _Val >

Base class for value commit.

Definition at line 44 of file val-commit.hpp.

## Member Typedef Documentation

## View

template<class _View, class _Val>

typedef _View Gecode::ValCommit< _View, _Val >::View

View type.

Definition at line 47 of file val-commit.hpp.

## Var

template<class _View, class _Val>

typedef View::VarType Gecode::ValCommit< _View, _Val >::Var

Corresponding variable type.

Definition at line 49 of file val-commit.hpp.

## Val

template<class _View, class _Val>

typedef _Val Gecode::ValCommit< _View, _Val >::Val

Value type.

Definition at line 51 of file val-commit.hpp.

## Constructor & Destructor Documentation

## ValCommit() [1/2]

template<class View, class Val>

Gecode::ValCommit< View, Val >::ValCommit | ( | Space & | home,
|  | const ValBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 101 of file val-commit.hpp.

## ValCommit() [2/2]

template<class View, class Val>

Gecode::ValCommit< View, Val >::ValCommit | ( | Space & | home,
|  | ValCommit< View, Val > & | vs )

inline

Constructor for cloning.

Definition at line 104 of file val-commit.hpp.

## Member Function Documentation

## notice()

template<class View, class Val>

bool Gecode::ValCommit< View, Val >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 107 of file val-commit.hpp.

## dispose()

template<class View, class Val>

void Gecode::ValCommit< View, Val >::dispose | ( | Space & | home | ) |

inline

Delete value commit.

Definition at line 112 of file val-commit.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/val-commit.hpp